{
	"name": "table/external/nestix/product/nxsheet.json",
	"table_name": "nxsheet",
	"table_prefix": "sheet",
	"record_type": ["nxsheet"],
	"local_table": "product_lot",
	"local_record_type": "nxsheet",
	"field": [
		{
			"field_name": "nxarea",
			"local_field": "",
			"field_type": "double"
		},
		{
			"field_name": "nxblobid",
			"local_field": "",
			"field_type": "integer"
		},
		{
			"info": "needed by 4D",
			"field_name": "nxchanged",
			"local_field": "modify_time",
			"field_type": "timestamp without time zone"
		},
		{
			"field_name": "nxcount",
			"local_field": "",
			"field_type": "integer"
		},
		{
			"field_name": "nxcreated",
			"local_field": "create_time",
			"field_type": "timestamp without time zone"
		},
		{
			"field_name": "nxfreearea",
			"local_field": "",
			"field_type": "double"
		},
		{
			"field_name": "nxfreerectarea",
			"local_field": "",
			"field_type": "double"
		},
		{
			"field_name": "nxfreerectlength",
			"local_field": "",
			"field_type": "double"
		},
		{
			"field_name": "nxfreerectwidth",
			"local_field": "",
			"field_type": "double"
		},
		{
			"field_name": "nxfreeweight",
			"local_field": "",
			"field_type": "double"
		},
		{
			"field_name": "nxfull",
			"local_field": "",
			"field_type": "integer"
		},
		{
			"field_name": "nxgifname",
			"local_field": "",
			"field_type": "text"
		},
		{
			"field_name": "nxinvischanged",
			"local_field": "",
			"field_type": "integer"
		},
		{
			"field_name": "nxinvmetafile",
			"local_field": "info",
			"field_type": "text"
		},
		{
			"field_name": "nxinvnestpct",
			"local_field": "",
			"field_type": "double"
		},
		{
			"field_name": "nxisremnant",
			"local_field": "",
			"field_type": "integer"
		},
		{
			"field_name": "nxlength",
			"local_field": "",
			"field_type": "double"
		},
		{
			"info": "needed by 4D",
			"field_name": "nxmatid",
			"local_field": "product_id",
			"field_type": "integer",
			"foreign_key": [
				{
					"link_type": "prevent delete",
					"linked_field": "nxmatid",
					"linked_table": "nxmat"
				}
			]
		},
		{
			"field_name": "nxmaxrectx",
			"local_field": "",
			"field_type": "double"
		},
		{
			"field_name": "nxmaxrecty",
			"local_field": "",
			"field_type": "double"
		},
		{
			"info": "needed by 4D",
			"field_name": "nxname",
			"local_field": "json_data.transfer_id",
			"field_type": "text"
		},
		{
			"field_name": "nxplateid",
			"local_field": "",
			"field_type": "integer"
		},
		{
			"info": "needed by 4D",
			"field_name": "nxsheetid",
			"local_field": "product_lot_id",
			"field_type": "integer"
		},
		{
			"field_name": "nxsmeltnmb",
			"local_field": "serial_number",
			"field_type": "text"
		},
		{
			"field_name": "nxstressedarea",
			"local_field": "",
			"field_type": "double"
		},
		{
			"field_name": "nxstressedlength",
			"local_field": "",
			"field_type": "double"
		},
		{
			"field_name": "nxstressedwidth",
			"local_field": "",
			"field_type": "double"
		},
		{
			"field_name": "nxtimestamp",
			"field_type": "integer"
		},
		{
			"field_name": "nxused",
			"local_field": "",
			"field_type": "double"
		},
		{
			"field_name": "nxweight",
			"local_field": "amount",
			"field_type": "double"
		},
		{
			"field_name": "nxwidth",
			"local_field": "",
			"field_type": "double"
		}
	]
}
